library ieee;
use ieee.std_logic_1164.all;


entity test_detector is
	port( clk: in std_logic;
				rst: in std_logic;
				count: in integer range 0 to 7;
		    z: out integer range 0 to 7;
				we: out std_logic );
end;

architecture my1 of test_detector is
begin
	process( rst )
	begin
		if rst = '1' then
			we <= '0';
		end if;
	end process;
	process( clk )	
	begin			 
		if (clk'event and clk = '1') then
			if count = 1 then
				z <= 7;
				we <= '1';
			end if;
		end if;
	end process;	
end;